For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCreate a direct employee
      • POSTCreate a person without a contract
      • GETGet my current personal profile
      • GETList of People
      • GETRetrieve a single person
      • PUTUpdate working location
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsPeople

Create a direct employee

POST
/people
POST
/rest/v2/people
$curl -X POST https://api.letsdeel.com/rest/v2/people \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "client": {
> "team": {
> "id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e"
> },
> "legal_entity": {
> "id": "cfebc769-abe9-4646-83b9-28cf79f23a0d"
> }
> },
> "employee": {
> "email": "email@email.com",
> "country": "US",
> "last_name": "Doe",
> "first_name": "John",
> "nationality": "BR"
> },
> "employment": {
> "type": "FULL_TIME",
> "job_title": "Software Engineer",
> "seniority": "Senior",
> "start_date": "2020-01-01"
> },
> "compensation_details": {
> "salary": 10000,
> "currency": "USD"
> }
> }
>}'
1{
2 "data": {
3 "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
4 "employee": {
5 "email": "email@email.com",
6 "last_name": "Doe",
7 "first_name": "John",
8 "nationality": "BR",
9 "work_email": "work@email.com",
10 "external_id": "1234"
11 },
12 "employment": {
13 "type": "FULL_TIME",
14 "country": "US",
15 "end_date": "2029-01-01",
16 "job_title": "Software Engineer",
17 "seniority": "Senior",
18 "start_date": "2020-01-01",
19 "contract_id": "3w6pd6r",
20 "part_time_percentage": 23
21 },
22 "compensation_details": {
23 "salary": 10000,
24 "currency": "USD",
25 "scale": "ANNUAL"
26 }
27 }
28}

Creates a direct employee record in Deel’s HRIS, hired under the organization’s own legal entity. Provisions both a person and an associated employment contract. Applicable when onboarding employees managed through your own payroll providers. It can support downstream integrations, such as IT equipment orders. Token scopes: people:write

Was this page helpful?
Previous

Create a person without a contract

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
dataobjectRequired

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication